### Method

# Gtk SpinButton set_range

#### Declaration [src]

    void
    gtk_spin_button_set_range (
      GtkSpinButton* spin_button,
      double min,
      double max
    )

#### Description [src]

Sets the minimum and maximum allowable values for `spin_button`.

If the current value is outside this range, it will be adjusted to fit within the range, otherwise it will remain unchanged.

#### Parameters

`min` | `double`
| Minimum allowable value.
`max` | `double`
| Maximum allowable value.